
<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<head>
		  <link href="http://funky.sourceforge.net/doxygen/doxygen.css" rel="stylesheet" type="text/css"/>

</head>
<html xmlns="http://www.w3.org/1999/xhtml">
	<body class="sitebody">
		<h1>Licensing options for Funky</h1>
		<p>The <em>default</em> license for Funky is the GNU GPL. That means you can freely distribute, modify and distribute modified copies of Funky as long as you include the source code. However, that also means that if you embed the Funky interpreter in your software, your software has to be licensed under GPL or a GPL-compatible license as well.</p>

		<h2>Incompatible FLOSS licenses</h2>
		<p>In some cases, it may not be possible for you to license your software under the GPL or a GPL-compatible license. <em>Some</em> of such cases include when you're developing Free/Libre Open Source Software (FLOSS) of which the license is incompatible with the GPL. In those cases, I'll be happy to provide a license compatible with yours, as long as it does not infringe on my copyright and insures that the FLOSS version of Funky remains FLOSS.</p>

		<h2>Non-FLOSS licenses</h2>
		<p>If you're developing non-free software and want to use Funky in that software, the GPL won't do you any good and I will not provide more leanient open source licenses - at least not without a contribution from your part.</p>
		<p>Funky is, therefore, available under a non-FLOSS license, for a fee. The exact amount of the fee will depend on your needs: if you only need to embed the interpreter and do not need any help from my part, the price can be quite a bit lower than if you want support over the telephone or want me to come over and develop code for you. <a href="http://www.landheer-cieslak.com" target="_blank">Contact me</a> for more information</p>
	</body>
</html>

